<?php

/*-----------------------------------------------------------------------------------*/
/*  Revolution-Themes Functions - do not edit */
/*-----------------------------------------------------------------------------------*/

// Register our primary navigation
add_theme_support('nav_menus');
register_nav_menu('primary', __('Primary Navigation Menu', 'glossyred'));


// Make theme available for translation
load_theme_textdomain('glossyred', TEMPLATEPATH . '/languages');

//  Sets the post excerpt length to 100 characters.
function glossyred_excerpt_length( $length ) {
	return 100;
}
add_filter( 'excerpt_length', 'glossyred_excerpt_length' );


// Returns a "Continue Reading" link for excerpts - but a link is not required, only closing the excerpt
function glossyred_continue_reading_link() {
	return ' </p>';
}


 // Replaces "[...]" (appended to automatically generated excerpts) with an ellipsis and glossyred_continue_reading_link().
function glossyred_auto_excerpt_more( $more ) {
	return '' . glossyred_continue_reading_link();
}
add_filter( 'excerpt_more', 'glossyred_auto_excerpt_more' );


 // Adds a pretty "Continue Reading" link to custom post excerpts.
function glossyred_custom_excerpt_more( $output ) {
	if ( has_excerpt() && ! is_attachment() ) {
		$output .= glossyred_continue_reading_link();
	}
	return $output;
}
add_filter( 'get_the_excerpt', 'glossyred_custom_excerpt_more' );


// Removing the default gallery styles
add_filter( 'use_default_gallery_style', '__return_false' );

// Backwards compatibility with WordPress 3.0.
if ( version_compare( $GLOBALS['wp_version'], '3.1', '<' ) )
	add_filter( 'gallery_style', 'glossyred_remove_gallery_css' );



// Removes the default styles that are packaged with the Recent Comments widget
function glossyred_remove_recent_comments_style() {
	add_filter( 'show_recent_comments_widget_style', '__return_false' );
}
add_action( 'widgets_init', 'glossyred_remove_recent_comments_style' );

// Adds support for post-thumbnails and set the width and height
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 180, 180, true );


// Get first image
function get_first_image() {
 global $post, $posts;
 $first_img = '';
 $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
 if(isset($matches[1][0])){
 $first_img = $matches [1][0];
 return $first_img;
 }
}

if(function_exists('add_theme_support')) {
    add_theme_support('automatic-feed-links');
    //WP Auto Feed Links
}

// Setting the width of the content
if ( ! isset( $content_width ) )
	$content_width = 670;

// This theme styles the visual editor with editor-style.css to match the theme style.
add_editor_style();

// The Glossy Red Documentation - start menu & iframe
add_action( 'admin_menu', 'GlossyRedMenu' );

function GlossyRedMenu() {

//global theme name stored in this variable
global $glossyred;

//add this menu to our theme edit page
add_theme_page( $glossyred . ' Настройки темы', $glossyred . ' Документация GlossyRed', 'edit_themes',
basename(__FILE__), 'GlossyRedPage' );

}

// Display an iframe to the detailed theme documentation for more user experience
function GlossyRedPage() {
echo '<h1>Документация GlossyRed:</h1>';
echo '<p><strong>Если вам нужна помощь с этой темой, вы можете посмотреть подробную документацию.</p>';
echo '<iframe id="theme-documentation" height="750px" width="90%" src="' . get_template_directory_uri() . '/docs/index.htm"></iframe> ';
}
// End The GlossyRed Documentation


// Loading the required Scripts correctly and save.
function glossyred_theme_scripts() {
	if (!is_admin()) { // hiding the script from the admin section

		wp_register_script(
			'general',
			get_template_directory_uri('template_directory') . '/js/general.js',
			array('jquery') );
		wp_enqueue_script('general');

        wp_register_script(
			'hoverIntent',
			get_template_directory_uri('template_directory') . '/js/hoverIntent.js',
			array('jquery') );
		wp_enqueue_script('hoverIntent');
	}
}

add_action('init', 'glossyred_theme_scripts');


// Loading the required stylesheets correctly and save
// Patch-styles for IE, - with conditional comments
wp_enqueue_style(
   'ie-style',
   get_template_directory_uri() . '/css/patch.css'
);
global $wp_styles;
$wp_styles->add_data( 'ie-style', 'conditional', 'lt IE 8' );


wp_enqueue_style(
   'patch-IE',
   get_template_directory_uri() . '/css/patch-all.css'
);
global $wp_styles;
$wp_styles->add_data( 'patch-IE', 'conditional', ' IE ' );


// Printstyles
function print_css() {

    // Bail out now if in admin panel or on login page
    if ( is_admin() OR strstr( $_SERVER['REQUEST_URI'], 'wp-login.php' ) )
        return;

    // Load theme stylesheet
    wp_enqueue_style( 'print', get_template_directory_uri() . '/css/print/print.css' , false, '', 'print' );
}
add_action( 'wp_print_styles', 'print_css', 9 ); // Priority of 9 used to ensure that the themes stylesheet is loaded before other CSS



?>